> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Transaction

> Detailed view of a single wallet transaction.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/admin/users/{user_id}/transactions/{transaction_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/users/{user_id}/transactions/{transaction_id}:
    get:
      tags:
        - admin-users
      summary: Get User Transaction
      description: Detailed view of a single wallet transaction.
      operationId: >-
        get_user_transaction_api_admin_users__user_id__transactions__transaction_id__get
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            title: User Id
        - name: transaction_id
          in: path
          required: true
          schema:
            type: string
            title: Transaction Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GenericResponse_WalletTransactionResponse_
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericResponse_WalletTransactionResponse_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/WalletTransactionResponse'
            - type: 'null'
          description: Response data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      title: GenericResponse[WalletTransactionResponse]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    WalletTransactionResponse:
      properties:
        id:
          type: string
          title: Id
        walletId:
          type: string
          title: Walletid
        amount:
          type: integer
          title: Amount
        currency:
          type: string
          title: Currency
        type:
          type: string
          title: Type
        source:
          type: string
          title: Source
        invoice:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoice
        providerTransactionId:
          anyOf:
            - type: string
            - type: 'null'
          title: Providertransactionid
        info:
          title: Info
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
      type: object
      required:
        - id
        - walletId
        - amount
        - currency
        - type
        - source
        - createdAt
        - updatedAt
      title: WalletTransactionResponse
      description: A single wallet transaction (used for both the list and detail views).
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````